Subject: Re: next-20150716 build: 4 failures 88 warnings (next-20150716)

From: Andrew Morton <[email-masked]>
Date: Thu, 16 Jul 2015 14:29:24 -0700

On Thu, 16 Jul 2015 14:41:52 +0100 Mark Brown <[email-masked]> wrote:

> On Thu, Jul 16, 2015 at 11:05:11AM +0100, Build bot for Mark Brown wrote:
> 
> Today's linux-next fails to build an arm64 allnoconfig due to "mm: make
> GUP handle pfn mapping unless FOLL_GET is requested" which causes:
> 
> > 	arm64-allnoconfig
> > ../mm/gup.c:51:4: error: implicit declaration of function 'update_mmu_cache' [-Werror=implicit-function-declaration]
> 
> The update_mmu_cache() function is defined unconditionally in
> asm/tlbflush.h so there is presumably some path of conditional
> inclusions which causes it not to get declared in an allnoconfig - I
> didn't chase that down yet.

I did te obvious:

--- a/mm/gup.c~mm-make-gup-handle-pfn-mapping-unless-foll_get-is-requested-fix
+++ a/mm/gup.c
@@ -12,7 +12,9 @@
 #include <linux/sched.h>
 #include <linux/rwsem.h>
 #include <linux/hugetlb.h>
+
 #include <asm/pgtable.h>
+#include <asm/tlbflush.h>
 
 #include "internal.h"

I don't have arm64 toolchain here, but it fixed the error on arm and
that's what mm/memory.c does.